/*
 * /////////////////////////////////////////////////////////////////////////////////
 * //
 * // Copyright <2015>-<2016> Avaya Inc. All Rights Reserved.
 * //
 * // Usage of this source is bound to the terms described
 * // in assets/Licence.txt
 * //
 * // Avaya - Confidential & Proprietary. Use pursuant to your signed agreement
 * // or Avaya Policy
 * //
 * /////////////////////////////////////////////////////////////////////////////
 */

package com.avaya.odonnell3.AndroidChatTemplate_2_3.model;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;


public class WebOnHoldURL {
    @JsonProperty("tag")
    private String tag;
    @JsonProperty("description")
    private String description;
    @JsonProperty("holdTime")
    private Integer holdTime;
    @JsonProperty("sequence")
    private Integer sequence;
    @JsonProperty("urls")
    private List<OnHoldURLs> urls;

    public List<OnHoldURLs> getUrls() {
        return urls;
    }

    public void setUrls(List<OnHoldURLs> urls) {
        this.urls = urls;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getHoldTime() {
        return holdTime;
    }

    public void setHoldTime(Integer holdTime) {
        this.holdTime = holdTime;
    }

    public Integer getSequence() {
        return sequence;
    }

    public void setSequence(Integer sequence) {
        this.sequence = sequence;
    }

    @Override
    public String toString() {
        return "WebOnHoldURL{" +
                "tag='" + tag + '\'' +
                ", description='" + description + '\'' +
                ", holdTime=" + holdTime +
                ", sequence=" + sequence +
                ", urls=" + urls +
                '}';
    }
}
